## NMDeviceInfiniband NMDeviceInfiniband |

## Functions

GQuark | nm_device_infiniband_error_quark ()
GObject * | nm_device_infiniband_new ()
const char * | nm_device_infiniband_get_hw_address ()
gboolean | nm_device_infiniband_get_carrier ()

## Properties

gboolean | carrier | Read
gchar * | hw-address | Read

## Types and Values

enum | NMDeviceInfinibandError
#define | NM_DEVICE_INFINIBAND_ERROR
#define | NM_DEVICE_INFINIBAND_HW_ADDRESS
#define | NM_DEVICE_INFINIBAND_CARRIER

## Object Hierarchy

        GObject
        ╰── NMObject
            ╰── NMDevice
                ╰── NMDeviceInfiniband

## Description

## Functions

### nm_device_infiniband_error_quark ()

    GQuark
    nm_device_infiniband_error_quark (void);

Registers an error quark for NMDeviceInfiniband if necessary.

#### Returns

the error quark used for NMDeviceInfiniband errors.

### nm_device_infiniband_new ()

    GObject *
    nm_device_infiniband_new (DBusGConnection *connection,
                              const char *path);

Creates a new NMDeviceInfiniband.

#### Parameters

connection | the DBusGConnection |
path | the DBus object path of the device |

#### Returns

a new device.

[transfer full]

### nm_device_infiniband_get_hw_address ()

    const char *
    nm_device_infiniband_get_hw_address (NMDeviceInfiniband *device);

Gets the hardware (MAC) address of the NMDeviceInfiniband

#### Parameters

device | a NMDeviceInfiniband |

#### Returns

the hardware address. This is the internal string used by the device, and must not be modified.

### nm_device_infiniband_get_carrier ()

    gboolean
    nm_device_infiniband_get_carrier (NMDeviceInfiniband *device);

Whether the device has carrier.

#### Parameters

device | a NMDeviceInfiniband |

#### Returns

`TRUE` if the device has carrier

## Types and Values

### enum NMDeviceInfinibandError

#### Members

NM_DEVICE_INFINIBAND_ERROR_UNKNOWN | unknown or unclassified error |
NM_DEVICE_INFINIBAND_ERROR_NOT_INFINIBAND_CONNECTION | the connection was not of InfiniBand type |
NM_DEVICE_INFINIBAND_ERROR_INVALID_INFINIBAND_CONNECTION | the InfiniBand connection was invalid |
NM_DEVICE_INFINIBAND_ERROR_INVALID_DEVICE_MAC | the device's MAC was invalid |
NM_DEVICE_INFINIBAND_ERROR_MAC_MISMATCH | the MACs of the connection and the device mismatched |

### NM_DEVICE_INFINIBAND_ERROR

    #define NM_DEVICE_INFINIBAND_ERROR nm_device_infiniband_error_quark ()

### NM_DEVICE_INFINIBAND_HW_ADDRESS

    #define NM_DEVICE_INFINIBAND_HW_ADDRESS  "hw-address"

### NM_DEVICE_INFINIBAND_CARRIER

    #define NM_DEVICE_INFINIBAND_CARRIER     "carrier"

## Property Details

### The `“carrier”` property

      “carrier”                  gboolean

Whether the device has carrier.

Flags: Read

Default value: FALSE

### The `“hw-address”` property

      “hw-address”               gchar *

The hardware (MAC) address of the device.

Flags: Read

Default value: NULL